Page MenuHomePhabricator

[mlir] provide same APIs as existing LLVMType in the new LLVM type modeling
ClosedPublic

Authored by ftynse on Jul 31 2020, 3:52 AM.

Details

Summary

These are intended to smoothen the transition and may be removed in the future
in favor of more MLIR-compatible APIs. They intentionally have the same
semantics as the existing functions, which must remain stable until the
transition is complete.

Depends On D85019

Diff Detail

Event Timeline

ftynse created this revision.Jul 31 2020, 3:52 AM
Herald added a project: Restricted Project. · View Herald TranscriptJul 31 2020, 3:52 AM
ftynse requested review of this revision.Jul 31 2020, 3:52 AM
rriddle added inline comments.Jul 31 2020, 11:52 AM
mlir/lib/Dialect/LLVMIR/IR/LLVMTypes.cpp
31

I'm assuming this is a placeholder? You should add a TODO to switch to using Type::getDialect() when the cleanup is finished.

217

The string name isn't being changed here, seems like this would be an infinite loop.

ftynse updated this revision to Diff 282644.Aug 3 2020, 9:16 AM
ftynse marked an inline comment as done.

Address review and rebase

ftynse added inline comments.Aug 3 2020, 9:18 AM
mlir/lib/Dialect/LLVMIR/IR/LLVMTypes.cpp
217

Good catch, thanks!

nicolasvasilache accepted this revision.Aug 4 2020, 1:45 AM

Please fix the build though

This revision is now accepted and ready to land.Aug 4 2020, 1:45 AM
This revision was landed with ongoing or failed builds.Aug 4 2020, 4:49 AM
This revision was automatically updated to reflect the committed changes.